<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotSignatureVerificationMetadata extends \Google\Protobuf\Internal\Message
{
    


    private $proofs;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getProofs()
    {
        return $this->proofs;
    }

    




    public function setProofs($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\BotSignatureVerificationUseCaseProof::class);
        $this->proofs = $arr;

        return $this;
    }

}

